Get a workflow definition
GET
/v1/workflow-definitions/{id}curl -X GET 'https://api.embodiflow.io/v1/workflow-definitions/{id}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- idstring必填
响应
Success
- dataobject必填
- idstring必填
- codestring必填
- namestring必填
- descriptionstring | null必填
- reusableone of必填
- ownerstring必填可选值tenantplatform
- purposestring | null必填
- latestRevisionnumber | null必填
- specHashstring | null必填
- publishedAtstring | null必填
- rowVersionnumber必填
响应示例
{
"data": {
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"reusable": false,
"owner": "tenant",
"purpose": "string",
"latestRevision": 0,
"specHash": "string",
"publishedAt": "string",
"rowVersion": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1